Skip to content
Back to top
View this page

# RedditBase

class praw.models.reddit.base.RedditBase(reddit: praw.Reddit, _data: Dict[str, Any] | None, _extra_attribute_to_check: str | None = None, _fetched: bool = False, _str_field: bool = True)

  Base class that represents actual Reddit objects.

  __init__(reddit: praw.Reddit, _data: Dict[str, Any] | None, _extra_attribute_to_check: str | None = None, _fetched: bool = False, _str_field: bool = True)

    Initialize a `RedditBase` instance.

    Parameters:

      reddit – An instance of `Reddit`.

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.